package cn.iocoder.yudao.module.order.vo.orderItemPackLog;

import lombok.*;
import io.swagger.annotations.*;

/**
* 入仓项打包纪录 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class OrderItemPackLogBaseVO {

    @ApiModelProperty(value = "订单id")
    private Long orderId;

    @ApiModelProperty(value = "订单项id")
    private Long orderItemId;

    @ApiModelProperty(value = "是否无需打包")
    private Boolean isNoNeedToPack;

    @ApiModelProperty(value = "入仓内容")
    private String orderWarehouseInContent;

    @ApiModelProperty(value = "创建者名字")
    private String creatorName;

}
